<?php declare(strict_types=1);

namespace Plugin\css_vatSelect\Migrations;

use JTL\Helpers\Text;
use JTL\Plugin\PluginInterface;
use JTL\Shop;
use JTL\Mail\Mail\Mail;
use JTL\Mail\Mailer;


use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20230426123301
 * @package Plugin\jtl_test\Migrations
 */
class Migration20230426123301 extends Migration implements IMigration   {
    /**
     * @inheritdoc
     */


    public function JTLWriteLog($cLog='',$nLevel=JTLLOG_LEVEL_INFO ,$bForce=false) {
        if (\mb_strlen($cLog) > 0 && ($bForce || \Jtllog::getSytemlogFlag(false))) {
            $logger = Shop::Container()->getLogService();
            $logger = $logger->withName("css_vatSelectConfig");
            $logger->log($nLevel, $cLog, ["css_vatSelectConfig"]);
            return true;
        }
        return false;
    }


    public function up()    {
	    $obj = $this->getDB()->query("Show columns from css_vatSelectConfig like 'feedParameter' ",1);
	    if($obj === null || empty($obj->Field)) {
		    $this->execute("UPDATE css_vatSelectConfig set `version` = '2.4.1' ");
		    $this->execute("ALTER TABLE `css_vatSelectConfig` CHANGE `version` `version` VARCHAR(10) ");
		    $this->execute("ALTER TABLE `css_vatSelectConfig` ADD `feedParameter` VARCHAR(15)");
	    }
    }

    /**
     * @inheritdoc
     */
    public function down() {
        if ($this->doDeleteData()) {
        }
    }
}
